/* Pour les tableaux qui contiennent les info et leur responsive */

body {
    margin: 0;
    padding: 10px;
    font-family: sans-serif;
}

* {
    box-sizing: border-box;
}

.table {
    width: 100%;
    border-collapse: collapse;
}

.table th,
.table td {
    padding: 12px 15px;
    border: 1px solid #ddd;
    text-align: center;
}

.table th {
    background-color: darkblue;
    color: #ffffff;
}

/* faire varier la coleur entre 2 ligne dif */
.table tbody tr:nth-child(even) {
    background-color: #f5f5f5;
}

/* resonsive */
@media (max-width:500px) {
    .table thead {
        display: none;
    }

    .table,
    .table tbody,
    .table tr,
    .table td {
        display: block;
        width: 100%;
    }

    .table tr {
        margin-bottom: 15px;
    }

    .table td {
        text-align: right;
        padding-left: 50%;
        position: relative;
    }

    .table td::before {
        content: attr(data-label);
        position: absolute;
        left: 0;
        width: 50%;
        padding-left: 5px;
        font-size: 15px;
        font-weight: bold;
        text-align: left;
        margin: auto;
        padding: 12px 15px;
        /* changer la coleur du th */
        /* background-color: darkblue;
        color: #ffffff; */
    }
}


/* Pour les table-report qui contiennent les info et leur responsive */



.table-report {
    width: 100px;
    border-collapse: collapse;
}

.table-report th,
.table-report td {
    padding: 12px 15px;
    /* border: 1px solid #ddd; */
    text-align: center;
}

.table-report th {
    background-color: rgb(103, 103, 116);
    color: #ffffff;
}

/* faire varier la coleur entre 2 ligne dif */
.table-report tbody tr:nth-child(even) {
    background-color: #f5f5f5;
}
.table-report td input.item-quantity {
    width: 100px;
    text-align: center;
}

/* resonsive */
@media (max-width:500px) {
    .table-report thead {
        display: none;
    }

    .table-report,
    .table-report tbody,
    .table-report tr,
    .table-report td {
        display: block;
        width: 100px;
    }

    .table-report tr {
        margin-bottom: 15px;
    }

    .table-report td {
        text-align: right;
        padding-left: 50%;
        position: relative;
    }

    .table-report td::before {
        content: attr(data-label);
        position: absolute;
        left: 0;
        width: 50%;
        padding-left: 15px;
        font-size: 15px;
        font-weight: bold;
        text-align: left;
        /* changer la coleur du th */
        /* background-color: darkblue;
        color: #ffffff; */
    }

    .table-report td input.item-quantity {
        width: 50px;
        text-align: center;
    }
}


